Name:		sony-target-dev-libnl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libnl
Version:	1.1.4
Release:	2%{?dist}
Summary:	Convenience library for kernel netlink sockets

License:	LGPLv2
URL:		http://www.infradead.org/~tgr/libnl/
Source:		http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.gz
Patch1:		libnl-1.0-pre8-more-build-output.patch
Patch2:		libnl-1.1-doc-inlinesrc.patch

Group:		%{sony_group}
Distribution:	%{sony_distribution}
Vendor:		%{sony_vendor}
Packager:	%{sony_packager}
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#BuildRequires:	doxygen
#Requires:	

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package -n %{pkgname}
Summary:	Convenience library for kernel netlink sockets
Group:		%{sony_group}
AutoReqProv:	no

%description -n %{pkgname}
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%prep
%setup -q -n libnl-%{version}
%patch1 -p1 -b .more-build-output
%patch2 -p1 -b .doc-inlinesrc

# # a quick hack to make doxygen stripping builddir from html outputs.
# sed -i.org -e "s,^STRIP_FROM_PATH.*,STRIP_FROM_PATH = `pwd`," doc/Doxyfile.in

%build
%sony_target_dev_setup

%sony_target_dev_configure
%{__tar} cf - . | %{__tar} xvpfC - ..
cd ..
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%sony_target_dev_setup
%{__make} DESTDIR=%{buildroot}%{sony_target_dir} install


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/netlink/
%{sony_target_dir}%{sony_target_dev_lib_dir}/libnl.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libnl.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/libnl-1.pc
%doc COPYING


%changelog
